/*
Theme Name: twentyseventeen Child
Description: A child theme of the Twenty Seventeen WP Theme
Author: Me
Author URI: tualatintopbakery.com
Template: twentyseventeen
Version: 1.0
*/





/***############### General Styling Reset and Setup: reset, grid, typography, general classes and divs.  Mobile-first styling setup. ***/
/*No Reset styles*/


/*For ease of development and maintainability, combine an element's width, padding, margin, and border into a final value, and enable this on all elements. */
/*Also reduce the chance of font-resizing on mobile devices.*/
html { box-sizing: border-box; text-size-adjust: 100%; -webkit-text-size-adjust: 100%; }
*, *:before, *:after { box-sizing: inherit; }

/***########## Grid Column layout available.  Desktop and mobile settings.  Automatically make columns full width below a certain width. Very-small (vsm) 
columns display at their designated widths at all device sizes, small (sma) above the first breakpoint, large (lar) above the next breakpoint. ***/
.content { width: 100%; padding: 20px 10px 20px 10px; }
.content-row { width: 100%; padding: 20px 0 20px 0; }
.content-row:after { content: ""; display: block; clear: both; }
.content-row.no-content-row-padding { padding: 0; }
.content-row:first-of-type { padding-top: 0; }
.content-row:last-of-type { padding-bottom: 0; }
 
.col-sma-1, .col-sma-2, .col-sma-3, .col-sma-4, .col-sma-5, .col-sma-6, .col-sma-7, .col-sma-8, .col-sma-9, .col-sma-10, .col-sma-11, .col-sma-12,
.col-lar-1, .col-lar-2, .col-lar-3, .col-lar-4, .col-lar-5, .col-lar-6, .col-lar-7, .col-lar-8, .col-lar-9, .col-lar-10, .col-lar-11, .col-lar-12 {
    float: none;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
}

.col-vsm-1, .col-vsm-2, .col-vsm-3, .col-vsm-4, .col-vsm-5, .col-vsm-6, .col-vsm-7, .col-vsm-8, .col-vsm-9, .col-vsm-10, .col-vsm-11, .col-vsm-12 {
    float: left;
    padding-left: 15px;
    padding-right: 15px;
}

.col-vsm-1 { width: 8.333333%; }
.col-vsm-2 { width: 16.666667%; }
.col-vsm-3 { width: 25%; }
.col-vsm-4 { width: 33.333333%; }
.col-vsm-5 { width: 41.666667%; }
.col-vsm-6 { width: 50%; }
.col-vsm-7 { width: 58.33333%; }
.col-vsm-8 { width: 66.666667%; }
.col-vsm-9 { width: 75%; }
.col-vsm-10 { width: 83.333333%; }
.col-vsm-11 { width: 91.666667%; }
.col-vsm-12 { width: 100%; }  

/* Switch to 12 columns at 700px for small columns and 1200px for large columns. */
@media only screen and (min-width: 700px){    
    .col-sma-1, .col-sma-2, .col-sma-3, .col-sma-4, .col-sma-5, .col-sma-6, .col-sma-7, .col-sma-8, .col-sma-9, .col-sma-10, .col-sma-11, .col-sma-12 {
        float: left;
        padding-left: 15px;
        padding-right: 15px;
    }
    .col-sma-1 { width: 8.333333%; }
    .col-sma-2 { width: 16.666667%; }
    .col-sma-3 { width: 25%; }
    .col-sma-4 { width: 33.333333%; }
    .col-sma-5 { width: 41.666667%; }
    .col-sma-6 { width: 50%; }
    .col-sma-7 { width: 58.33333%; }
    .col-sma-8 { width: 66.666667%; }
    .col-sma-9 { width: 75%; }
    .col-sma-10 { width: 83.333333%; }
    .col-sma-11 { width: 91.666667%; }
    .col-sma-12 { width: 100%; }    
}

@media only screen and (min-width: 1200px){
    .content { padding: 20px 0 20px 0; }
    .content-row { padding: 25px 0 25px 0; }
    .content-row:first-of-type { padding-top: 0; }
    .content-row:last-of-type { padding-bottom: 0; }
       
    .col-lar-1, .col-lar-2, .col-lar-3, .col-lar-4, .col-lar-5, .col-lar-6, .col-lar-7, .col-lar-8, .col-lar-9, .col-lar-10, .col-lar-11, .col-lar-12 {
        float: left;
        padding-left: 15px;
        padding-right: 15px;
    }
    .col-lar-1 { width: 8.333333%; }
    .col-lar-2 { width: 16.666667%; }
    .col-lar-3 { width: 25%; }
    .col-lar-4 { width: 33.333333%; }
    .col-lar-5 { width: 41.666667%; }
    .col-lar-6 { width: 50%; }
    .col-lar-7 { width: 58.33333%; }
    .col-lar-8 { width: 66.666667%; }
    .col-lar-9 { width: 75%; }
    .col-lar-10 { width: 83.333333%; }
    .col-lar-11 { width: 91.666667%; }
    .col-lar-12 { width: 100%; }
}

/***########## General layout settings and general classes. ***/
.justify-content > div { display: flex; flex-wrap: wrap; justify-content: center; }

/* General Resuable Classes */
.hidden-sr-only { display: block; clip-path: polygon(0 0, 0 0, 0 0, 0 0); overflow: hidden; width: 1px; height: 1px; padding: 0; margin: 0; border: 0; }
.width-100-percent { width: 100%; }
.clear-both { clear: both; }

/* Use .inner-wrapper for layouts where you want to have backgrounds go out of the site 'border' provided by .body-wrapper '*/
.inner-wrapper { position: relative; padding: 0; margin-left: auto; margin-right: auto; }

@media only screen and (min-width: 700px){
    .float-right-above-a-breakpoint { float: right; }
}

/* Form Validation classes */
.javascript-validation-results-contact-us { display: none; font-weight: bold; }
.javascript-validation-results-contact-us.show { display: block; }
.required-field-needed { box-shadow: 0px 0px 3px 3px rgba(204, 0, 0, 1); }
/*No typography classes included*/

/***########## End of General Styling Reset and Setup ****/







/***############### Beginning of Website-specific style sheet. ****/

/*Adjacent color scheme with 45 degrees difference.*/

:root {
    --color-1: #2a7e19;   /* tree green */
    --color-2: #84931d;   /* goldenrod dark yellow */ 
    --color-3: #174660;   /* dark blue green */
    
    
    --color-4: #6ebc5d;   /* light tree green */
    
    
    --color-1-mostly-opaque: rgba(42, 126, 25, 0.8);
    
}

h2 { color: #222222; }
h3 { margin-bottom: 0; }
h4 { color: var(--color-2); }

/*General Styling*/
a, a:link { color: var(--color-1); transition: 0.2s; }
a:hover { color: var(--color-2); transition: 0.2s; }

a:focus-visible,
input:focus-visible { outline: 2px solid var(--color-1); outline-offset: 2px; }
button, 
input,
input[type="submit"], 
textarea { padding: 16px 32px; }
address { font-style: normal; }

.bulleted-list { padding-left: 20px; }
.content-image img, 
.content-image video { display: block; margin-left: auto; margin-right: auto; }
.page-main-image { float: right; max-width: 600px; margin-left: 15px; margin-bottom: 5px; }


/*General Theme Customizations*/
.entry-title a, 
.entry-meta a, 
.page-links a, 
.page-links a .page-number, 
.entry-footer a, 
.entry-footer .cat-links a, 
.entry-footer .tags-links a, 
.edit-link a, 
.post-navigation a, 
.logged-in-as a, 
.comment-navigation a, 
.comment-metadata a, 
.comment-metadata a.comment-edit-link, 
.comment-reply-link, 
a .nav-title, 
.pagination a, 
.comments-pagination a, 
.site-info a, 
.widget .widget-title a, 
.widget ul li a, 
.site-footer .widget-area ul li a, 
.site-footer .widget-area ul li a { box-shadow: none; }

.entry-content a, 
.entry-summary a, 
.comment-content a, 
.widget a, 
.site-footer .widget-area a, 
.posts-navigation a, 
.widget_authors a strong { box-shadow: inset 0 -1px 0 var(--color-1); }
.entry-content a:focus, 
.entry-content a:hover, 
.entry-summary a:focus, 
.entry-summary a:hover, 
.comment-content a:focus, 
.comment-content a:hover, 
.widget a:focus, 
.widget a:hover, 
.site-footer .widget-area a:focus, 
.site-footer .widget-area a:hover, 
.posts-navigation a:focus, 
.posts-navigation a:hover, 
.comment-metadata a:focus, 
.comment-metadata a:hover, 
.comment-metadata a.comment-edit-link:focus, 
.comment-metadata a.comment-edit-link:hover, 
.comment-reply-link:focus, 
.comment-reply-link:hover, 
.widget_authors a:focus strong, 
.widget_authors a:hover strong, 
.entry-title a:focus, 
.entry-title a:hover, 
.entry-meta a:focus, 
.entry-meta a:hover, 
.page-links a:focus .page-number, 
.page-links a:hover .page-number, 
.entry-footer a:focus, 
.entry-footer a:hover, 
.entry-footer .cat-links a:focus, 
.entry-footer .cat-links a:hover, 
.entry-footer .tags-links a:focus, 
.entry-footer .tags-links a:hover, 
.post-navigation a:focus, 
.post-navigation a:hover, 
.pagination a:not(.prev):not(.next):focus, 
.pagination a:not(.prev):not(.next):hover, 
.comments-pagination a:not(.prev):not(.next):focus, 
.comments-pagination a:not(.prev):not(.next):hover, 
.logged-in-as a:focus, 
.logged-in-as a:hover, 
a:focus .nav-title, 
a:hover .nav-title, 
.edit-link a:focus, 
.edit-link a:hover, 
.site-info a:focus, 
.site-info a:hover, 
.widget .widget-title a:focus, 
.widget .widget-title a:hover, 
.widget ul li a:focus, 
.widget ul li a:hover { color: var(--color-2); box-shadow: inset 0 0 0 rgba(0, 0, 0, 0), 0 3px 0 var(--color-2); }

.page .panel-content .entry-title, 
.page-title, 
body.page:not(.twentyseventeen-front-page) .entry-title { font-size: 1.25rem; }

button, 
input[type="button"], 
input[type="submit"] { background-color: var(--color-1); transition: 0.2s; }
.button, 
input[type="button"], 
input[type="submit"] { background-color: var(--color-1); }
:not(.mejs-button) > button:hover, 
:not(.mejs-button) > button:focus, 
input[type="button"]:hover, input[type="button"]:focus, 
input[type="submit"]:hover, input[type="submit"]:focus { background: var(--color-2); transition: 0.2s; }


/*Header*/
.page .wrap .entry-header { padding-left: 0; padding-right: 15px; }
.has-header-image.twentyseventeen-front-page .custom-header, 
.has-header-video.twentyseventeen-front-page .custom-header, 
.has-header-image.home.blog .custom-header, 
.has-header-video.home.blog .custom-header { height: 300px; }
.has-header-image .custom-header-media img, 
.has-header-video .custom-header-media video, 
.has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media img { height: 300px; }
.custom-header { height: 300px; margin-bottom: 0 !important; }
.has-header-image.twentyseventeen-front-page .site-branding, 
.has-header-video.twentyseventeen-front-page .site-branding, 
.has-header-image.home.blog .site-branding, 
.has-header-video.home.blog .site-branding, 
.site-branding { position: absolute; top: 50px; height: auto; padding: 0 0; }

.has-header-image .custom-header-media img, 
.has-header-video .custom-header-media video, 
.has-header-video .custom-header-media iframe { position: absolute; height: 300px; min-height: 0; }

.site-title { padding-bottom: 3px; line-height: 1.4; }

.site-branding a { text-shadow: 1px 2px rgba(0, 0, 0, 1); transition: 0.2s; }
.site-branding a:hover, 
.site-branding a:focus { opacity: 1; text-shadow: 1px 2px rgba(0, 0, 0, 0.4); transition: 0.2s; }
.site-branding a:focus,
.site-branding a:focus-visible { outline-color: #ffffff; }

.site-description { line-height: 1.1; }
body.has-header-image .site-description, 
body.has-header-video .site-description { opacity: 1; font-size: 1.5rem; font-weight: bold; text-shadow: -1px 1.5px rgba(0, 0, 0, 1); }

.custom-logo { border-radius: 6px; }
.custom-logo-link { padding-right: 0; margin-right: 1em; }
.custom-logo-link img { display: block; max-height: 100px; box-shadow: 0 0 4px 5px rgba(255, 255, 255, 0.7); transition: 0.4s; }
.custom-logo-link img:hover { box-shadow: 0 0 6px 8px rgba(255, 255, 255, 0.7); transition: 0.4s; } 

.site-header .navigation-top .menu-scroll-down { color: var(--color-1); }
.site-header .navigation-top .menu-scroll-down:hover { color: var(--color-2); }


/*Nav*/
.menu-toggle { font-size: 1.125rem; }
.main-navigation .menu-toggle:hover { background-color: var(--color-4); }
.main-navigation .menu-toggle:focus { background-color: var(--color-4); }

#top-menu { font-size: 0; }
.main-navigation li { padding: 7px 15px; }
.main-navigation a { padding: 0; font-size: 0.875rem; color: var(--color-1); transition: 0.3s ease-in; }
.main-navigation a:hover { color: var(--color-2); transition: 0.3s ease-in; }
.navigation-top .current-menu-item > a, 
.navigation-top .current_page_item > a { color: var(--color-1); text-decoration: underline; }
.navigation-top .current-menu-item > a:hover, 
.navigation-top .current_page_item > a:hover { color: var(--color-2); }

.search-form { width: 90%; margin-left: 5%; margin-right: 5%; margin-bottom: 15px; }
.navigation-top .search-field:focus,
.navigation-top .search-field:focus-visible { outline-color: #ffffff; }
.navigation-top .search-form .search-submit { }


/*Footer*/
.site-footer .site-info { position: relative; }
.scoll-to-top { display: inline-block; position: absolute; top: 20px; right: 20px; font-size: 22px; cursor: pointer; color: var(--color-1); }

.site-info { width: 100%; font-size: 1rem; }

.site-info .custom-logo-link { display: block; width: 100px; margin-left: auto; margin-right: auto; margin-bottom: 30px; padding-right: 0; }
.site-info .custom-logo-link:hover { box-shadow: none; }
.site-info .custom-logo:hover { box-shadow: 0 0 4px 5px rgba(132, 147, 29, 0.7); } 

.site-info__location-and-hours { padding-left: 0; padding-bottom: 30px; }
.site-info__social { padding-bottom: 30px; font-size: 0; }
.site-info__message { padding-right: 0; }
.site-info__subheader { }
.site-info__tree-harvesting { padding-bottom: 20px; font-size: 1.125rem; font-weight: bold; text-align: center; color: var(--color-1); }
.site-info__copyright { padding-bottom: 30px; text-align: center; }

.site-info__social-logo { display: inline-block; padding-right: 25px; font-size: 1rem; }
.site-info .site-info__social-logo__link { color: var(--color-1); }


/*Index*/
.testimonials__subheading { text-align: center; }
.map__subheading { padding-bottom: 15px; text-align: center; }
.map img { display: block; margin-left: auto; margin-right: auto; }


/*Plugin Customizations*/
/*General Testimonials*/
.testimonials-container__heading { font-size: 1.125rem; font-weight: 600; text-transform: uppercase; color: var(--color-1); }

.testimonial { padding-bottom: 80px; }
.testimonial:last-of-type { padding-bottom: 0; }

@media screen and (min-width: 700px) and (max-width: 1199px) {    
    /*Plugin Customizations*/
    /*General Testimonials*/
    .testimonial { width: 100%; }
    .testimonial:nth-of-type(2n+1) { padding-left: 20px; }
    .testimonial:nth-of-type(2n+2) { padding-right: 20px; }
}

@media screen and (min-width: 1200px){
    .testimonial { padding-bottom: 0; }
}

.testimonial__content { padding-bottom: 0; margin-bottom: 1em; }
.testimonial__title { clear: none; padding-top: 0; }
.testimonial__provided-name { color: var(--color-1); }
.testimonial__comma { }
.testimonial__label { color: var(--color-3); }


/*Meta Slider*/
.metaslider div.caption-wrap { opacity: 1; }
.metaslider .flexslider ul.slides li { height: 220px; }
.metaslider .flexslider .slides img { width: 100%; height: 100%; object-fit: cover; }
div.ms-is-small.metaslider.ms-theme-bubble .flexslider ul.slides .caption-wrap .caption, 
div.ms-is-small.metaslider.ms-theme-bubble .rslides .caption-wrap .caption, 
div.ms-is-small.metaslider.ms-theme-bubble .nivoSlider .nivo-caption { width: 60%; }
div.metaslider.ms-theme-bubble .flexslider ul.slides .caption-wrap .caption, 
div.metaslider.ms-theme-bubble .rslides .caption-wrap .caption, 
div.metaslider.ms-theme-bubble .nivoSlider .nivo-caption { bottom: 80px; }


/*Contact Form 7*/
.wpcf7-submit { }
.wpcf7-submit:hover { }


/*WooCommerce*/
.woocommerce .button:focus { box-shadow: none; color: #ffffff; }

.woocommerce-breadcrumb { font-size: 0.875rem; }
.woocommerce-breadcrumb a { box-shadow: 0 1px 0 var(--color-1); }
.woocommerce-breadcrumb a:hover { box-shadow: 0 3px 0 var(--color-2); }

.woocommerce-tabs li.active a { box-shadow: 0 3px 0 var(--color-1); }
.woocommerce-tabs a:hover { box-shadow: 0 3px 0 var(--color-2); }

ul.products li.product .button { display: inline-block; padding: 15px 10px; box-shadow: none; background-color: var(--color-1); color: #ffffff; transition: 0.2s; }
ul.products li.product .button:hover { box-shadow: none; background-color: var(--color-2); transition: 0.2s; }

.woocommerce-loop-product__title { min-height: 70px; font-size: 1rem; transition: 0.2s; }
.woocommerce-loop-product__title:hover { color: #909090; transition: 0.2s; }
.price { }

ul.products li.product .added_to_cart { display: inline-block; margin-top: 8px; box-shadow: 0 1px 0 var(--color-1); transition: 0.2s; }
ul.products li.product .added_to_cart:hover { box-shadow: 0 3px 0 var(--color-2); transition: 0.2s; }

.woocommerce-info { font-weight: 600; background: var(--color-3); color: #ffffff; }
.woocommerce-info .showcoupon,
.woocommerce-info .showcoupon:focus { font-weight: 600; color: #ffffff; }
.woocommerce-message { font-weight: 600; background: var(--color-3); }
.woocommerce-message .restore-item,
.woocommerce-message .restore-item:focus { color: #ffffff; }
.woocommerce-message .button { background-color: transparent; color: #ffffff; }

.return-to-shop { display: inline-block; padding: 0; margin-bottom: 0; }
.return-to-shop .wc-backward { display: inline-block; padding: 15px 10px; box-shadow: none; color: #ffffff; transition: 0.2s; }
.return-to-shop:hover .wc-backward { background-color: var(--color-2); color: #ffffff; transition: 0.2s; }

.stars a,
.stars a:hover,
.stars a:focus { color: var(--color-1); }

.woocommerce-ordering { padding-bottom: 30px; }

/*WooCommerce Cart Page*/
.woocommerce-cart-form img { max-width: 48px; }

.woocommerce-cart-form .button { padding: 16px 32px; }
.woocommerce-cart-form .actions .input-text { width: 165px !important; padding: 15px 32px; }
.wc-proceed-to-checkout .checkout-button { color: #ffffff; }
.wc-proceed-to-checkout .checkout-button:hover { background-color: var(--color-2); color: #ffffff; }
.checkout-button:hover { border-color: #000000; }

.return-to-shop:hover .wc-backward { box-shadow: none; }


/*Popup Builder*/
.sgpb-theme-6-overlay { background: none; }
.sgpb-theme-6-content { box-shadow: var(--color-1-mostly-opaque) 0 0 6px 8px !important; }



@media screen and (min-width: 30em) {
    /*Body and content wrappers*/
    .wrap { max-width: 1100px; padding-left: 3rem; padding-right: 3rem; }
    .navigation-top .wrap { max-width: 1100px; }

    .page-one-column .panel-content .wrap, 
    .site-content .wrap { max-width: 1100px; }
    .single-post:not(.has-sidebar) #primary, 
    .page.page-one-column:not(.twentyseventeen-front-page) #primary, 
    .archive.page-one-column:not(.has-sidebar) .page-header, 
    .archive.page-one-column:not(.has-sidebar) #primary { max-width: 1100px; }
    
    
    .page.page-one-column .entry-header, 
    .twentyseventeen-front-page.page-one-column .entry-header, 
    .archive.page-one-column:not(.has-sidebar) .page-header { margin-bottom: 1em; }
    .panel-content .wrap, 
    .site-content { padding-top: 3em; }
}

@media only screen and (min-width: 700px){
    /*Footer*/
   .site-info .custom-logo-link { margin-bottom: 0; }
   .site-info__location-and-hours { padding-bottom: 0; } 
   .site-info__social { padding-bottom: 0; }
   .site-info__message { }
}



@media only screen and (min-width: 768px){
    /*Header*/
    .has-header-image.twentyseventeen-front-page .custom-header, 
    .has-header-video.twentyseventeen-front-page .custom-header, 
    .has-header-image.home.blog .custom-header, 
    .has-header-video.home.blog .custom-header { height: 372px; } 
    .custom-header { height: 372px; }
    .custom-logo-link { padding-right: 0; margin-right: 2em; }

    
    /*Nav*/
    .main-navigation li { padding: 15px 14px; }
    .main-navigation a { padding-left: 0; padding-right: 0; }
    
    .navigation-top .search-form { position: absolute; right: 20px; top: -105px; width: 400px; margin-left: 0; margin-right: 0; }
    .navigation-top .search-form .search-submit { top: 10px; height: 42.4px; }
    
    
    /*Plugin Customizations*/
    /*Meta Slider*/
    .metaslider .flexslider ul.slides li { height: auto; }
    div.metaslider.ms-theme-bubble .flexslider ul.slides .caption-wrap .caption, 
    div.metaslider.ms-theme-bubble .rslides .caption-wrap .caption, 
    div.metaslider.ms-theme-bubble .nivoSlider .nivo-caption { font-size: 16px; }
    

    /*WooCommerce*/
    .woocommerce-ordering { padding-bottom: 0; }
}



@media only screen and (min-width: 1200px){

    /*Header*/
    .has-header-image .custom-header-media img, 
    .has-header-video .custom-header-media video, 
    .has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media img { height: 572px; }
    .has-header-image.twentyseventeen-front-page .custom-header, 
    .has-header-video.twentyseventeen-front-page .custom-header, 
    .has-header-image.home.blog .custom-header, 
    .has-header-video.home.blog .custom-header,
    .custom-header { height: 572px; }

    .has-header-image.twentyseventeen-front-page .site-branding, 
    .has-header-video.twentyseventeen-front-page .site-branding, 
    .has-header-image.home.blog .site-branding, 
    .has-header-video.home.blog .site-branding { position: absolute; top: 90px; padding: 0 0; }
    .site-branding { position: relative; top: 90px; padding: 0 0; }

    .has-header-image .custom-header-media img, 
    .has-header-video .custom-header-media video, 
    .has-header-video .custom-header-media iframe { height: 572px; }
    
    
    /*Plugin Customizations*/
    /*General Testimonials*/
    .testimonial:last-of-type { padding-bottom: 0; }
    
    
    /*WooCommerce*/
    .woocommerce-loop-product__title { min-height: 0; }
}
